%define name libmikmod
%define version 3.1.9
%define release 3mdk
%define prefix %{_prefix}

Summary: libmikmod - a portable sound library for Unix.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://mikmod.darkorb.net/libmikmod/%{name}-%{version}.tar.bz2
Copyright: GPL/LGPL
Group: System/Libraries
URL: http://mikmod.darkorb.net
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildPreReq: libtool

%description
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.  

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include mod, stm, s3m, mtm, xm, and it.
Full source included, use of this library for music/sound effects in
your own programs is encouraged !

%package devel
Summary: Header files and libraries for developing apps which will use libmikmod.
Group: Development/C
Requires: libmikmod

%description devel
Libmikmod is a portable sound library, capable of playing samples as
well as module files, originally written by Jean-Paul Mikkers (MikMak)
for DOS. It has subsequently been hacked by many hands and now runs on
many Unix flavours.  

It uses the OSS /dev/dsp driver including in all recent kernels for
output, as well as ALSA and EsounD, and will also write wav files.

Supported file formats include mod, stm, s3m, mtm, xm, and it.
Full source included, use of this library for music/sound effects in
your own programs is encouraged!

Install the limikmod-devel package if you want to develop applications that
will use the limikmod library.

%prep
%setup

%build
%configure --disable-esd --disable-alsa
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/mikmod.info.bz2 /%{_infodir}/dir --entry="* MikMod: (mikmod).            MikMod Sound Library."

%preun devel
if [ $1 = 0 ]; then
/sbin/install-info --delete /%{_infodir}/mikmod.info.bz2 /%{_infodir}/dir --entry="* MikMod: (mikmod).            MikMod Sound Library."
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING.LESSER COPYING.LIB INSTALL
%doc NEWS PROBLEMS README TODO
%{_libdir}/libmikmod.so.*

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING.LESSER COPYING.LIB INSTALL NEWS PROBLEMS README TODO
%{_libdir}/*.so
%{_bindir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_datadir}/aclocal/*
%{_includedir}/*
%{_infodir}/*
%{_mandir}/man1/*

%changelog
* Tue Sep 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.1.9-3mdk
- disable alsa, from :
	Goetz Waschk <waschk@linux-mandrake.com> 
	- removed alsa support, it caused segfaults

* Sun Jul 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.1.9-2mdk
- macroszifications
- fix hte filelist (*.so goes to devel not main)
- rebuild for BM

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.1.9-1mdk
- v 3.1.9
- fix group
- add doc
- spechelper fix

* Sat Feb 05 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added .so in %files section (reported by David Mihm
  <dmihm@rchitecture.com>).

* Fri Nov 12 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 3.1.8.

* Sat Sep 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added .la file.

* Sat Jul 17 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- downgraded to version 3.1.6 for xmms compatibilty.

* Fri Jul 16 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First version for Mandrake distribution.
